using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace GeekSpeakWCFDemo
{
	// NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in code, svc and config file together.
	public class Service1 : IService1
	{
		public void DoWork()
		{
		}

		public List<Person> GetPeople()
		{
			List<Person> data = new List<Person>();

			using (PocoContext db = new PocoContext())
			{
				data = db.People.ToList();
			}			

			return data;
		}
	}
}
